Subject: Re: fuzzy patch application

From: Junio C Hamano <[email-masked]>
Date: Fri, 10 Feb 2017 11:38:19 -0800

Nick Desaulniers <[email-masked]> writes:

> I frequently need to backport patches from the Linux kernel to older
> kernel versions (Android Security)....
> ...
> My question is, why does `patch` seem to do a better job at applying
> patches than `git am`?  It's almost like the `git` tools don't try to fuzz
> the offsets.

You diagnosed correctly.  We do allow offsets but by default no fuzz
and that is a deliberate design decision made in very early days.
You can pass option to reduce context, but that is not the default.